Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1119186 - missing (English) values for several AuditLogType keys
Summary: missing (English) values for several AuditLogType keys
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Eli Mesika
QA Contact: Martin Mucha
URL:
Whiteboard: infra
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-07-14 08:45 UTC by Martin Mucha
Modified: 2016-02-10 19:02 UTC (History)
9 users (show)

Fixed In Version: vt3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 17:10:36 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 31898 master MERGED core: fixing missing (English) AuditLog values Never
oVirt gerrit 32192 ovirt-engine-3.5 MERGED core: fixing missing (English) AuditLog values Never

Description Martin Mucha 2014-07-14 08:45:46 UTC
Description of problem:
following keys are not translated. If event of this type is invoked, nothing will be logged. I think there was note that this bug is used as a hack to control whether to log or not, but that should be definitely solved in better way.

Untranslated (in default locale) keys in bundle bundles/AuditLogMessages.properties:

UNASSIGNED
VDS_AUTO_FENCE_STATUS
VDS_AUTO_FENCE_STATUS_FAILED
VDS_AUTO_FENCE_FAILED_CALL_FENCE_SPM
VDS_HIGH_NETWORK_USE
USER_FAILED_REMOVE_VM
USER_RUN_UNLOCK_ENTITY_SCRIPT
VDS_NETWORK_MTU_DIFFER_FROM_LOGICAL_NETWORK
VDS_HOST_IN_CONNECTING_STATE
STORAGE_ACTIVATE_ASYNC
DWH_STOPPED
DWH_STARTED
DWH_ERROR
USER_REMOVE_AUDIT_LOG
USER_REMOVE_AUDIT_LOG_FAILED
USER_CLEAR_ALL_DISMISSED_AUDIT_LOG
USER_CLEAR_ALL_DISMISSED_AUDIT_LOG_FAILED


How reproducible:
100%


Expected results:
every existing key has translation. Either translation is added or key & enum value is removed.

Comment 1 Martin Mucha 2014-07-14 12:26:23 UTC
http://gerrit.ovirt.org/#/c/30012/

Comment 2 Einav Cohen 2014-08-11 15:53:45 UTC
please refrain from referring to the English values of Enum (or similar) keys as 'translations' - it is creating confusion with marking the BZ with the correct Whiteboard, etc. 

this is about missing (English) values for AuditLogMessages keys (see ovirt devel thread from July: http://lists.ovirt.org/pipermail/devel/2014-July/008012.html), which is resulting in these AuditLogMessages not being logged when necessary. 

[moving to 'infra', changed subject accordingly]

thanks.

Comment 3 Oved Ourfali 2014-08-12 10:40:04 UTC
The ones below are infra related.
Please open another other bugs per domain (I saw network and storage).

UNASSIGNED
VDS_AUTO_FENCE_STATUS
VDS_AUTO_FENCE_STATUS_FAILED
VDS_AUTO_FENCE_FAILED_CALL_FENCE_SPM
USER_RUN_UNLOCK_ENTITY_SCRIPT
VDS_HOST_IN_CONNECTING_STATE
DWH_STOPPED
DWH_STARTED
DWH_ERROR
USER_REMOVE_AUDIT_LOG
USER_REMOVE_AUDIT_LOG_FAILED
USER_CLEAR_ALL_DISMISSED_AUDIT_LOG
USER_CLEAR_ALL_DISMISSED_AUDIT_LOG_FAILED

Comment 4 Eyal Edri 2014-09-10 20:21:36 UTC
fixed in vt3, moving to on_qa.
if you believe this bug isn't released in vt3, please report to rhev-integ@redhat.com

Comment 5 Eyal Edri 2015-02-17 17:10:36 UTC
rhev 3.5.0 was released. closing.


Note You need to log in before you can comment on or make changes to this bug.